Name: qzion
Version: 0.4.0
Release: %mkrel 3
License: GPL
Group: Development/KDE and Qt 
Summary: QZion is an canvas abstraction used by and made for QEdje
Source: %name-%version.tar.xz
Patch0: qzion-0.4.0-gcc44.patch
Patch1: qzion-0.4.0-fix-install.patch
Url: http://code.openbossa.org//qedje/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: python-qt4

%define __libtoolize    /bin/true

%description
QZion is an canvas abstraction used by and made for QEdje

#------------------------------------------------

%define libqzion_major 0
%define libqzion %mklibname qzion %{libqzion_major}

%package -n %libqzion
Summary: Qzionlibrary
Group: System/Libraries

%description -n %libqzion
Qzion library.


%files -n %libqzion
%defattr(-,root,root)
%_kde_libdir/libqzion.so.%{libqzion_major}*

#-----------------------------------------------

%package -n python-qzion
Summary: Qzion python bindings
Group:     Development/KDE and Qt
Requires: python-qt4

%description -n python-qzion
Qzion python bindings.

%files -n python-qzion
%py_sitedir/qzion
%_datadir/sip/qzion

#-----------------------------------------------

%package   devel
Summary:   Devel stuff for kdebase 4
Group:     Development/KDE and Qt
Requires:  %libqzion = %version
%description  devel
Devel packages needed to build QZion apps

%files devel
%defattr(-,root,root)
%_kde_includedir/*.h
%_kde_libdir/pkgconfig/qzion.pc
%_kde_libdir/libqzion.so

#------------------------------------------------

%prep
%setup -q -n qzion-mainline 
%patch0 -p1 -b .gcc44
%patch1 -p0
%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}
cd build
make DESTDIR=%buildroot install

%clean
rm -rf %buildroot


%changelog
* Tue Aug 20 2013 billybot <billybot> 0.4.0-3pclos2013
- update python 2.7

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.4.0-2pclos2010
- 0.4.0

* Fri Apr 10 2009 pcserver <pcserver@hushmail.com> 0.4.0-1pclos2007
- create

